mscorlib 2.0.0.0 4.0.0.0 System.Security.Policy.EvidenceBase System.Security.ISecurityEncodable System.Runtime.InteropServices.ComVisible(true)

An object is returned by a trust manager's method.

Encapsulates security decisions about an application. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates an empty object.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  An application identity contains the full name of the application and the location of its code base.

  Initializes a new instance of the class with an .

  An that uniquely identifies an application.
- Constructor
  4.0.0.0

  identifies strong-named assemblies within the that are to be granted full trust. This constructor is called by the method to create an that will be used as a sandbox. For more information about running an application in a sandbox, see How To: Run Partially Trusted Code in a Sandbox.

  Initializes a new instance of the class using the provided grant set and collection of full-trust assemblies.

  A default permission set that is granted to all assemblies that do not have specific grants.
  An array of strong names that represent assemblies that should be considered fully trusted in an application domain.
- Property
  2.0.0.0
  4.0.0.0
  System.ApplicationIdentity To be added.

  The property uniquely identifies a manifest-based application to be activated in a new domain.

  Gets or sets the application identity for the application trust object.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PolicyStatement To be added.

  The property represents the permissions that are granted to the application.

  The representing the default grants is initialized using a and optional attributes.

  Gets or sets the policy statement defining the default grant set.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets or sets extra security information about the application.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The and methods are implemented to make objects XML-encodable for security policy use.

  Reconstructs an object with a given state from an XML encoding.

  The XML encoding to use to reconstruct the object.
- Property
  4.0.0.0
  System.Collections.Generic.IList<System.Security.Policy.StrongName> To be added.

  The list identifies assemblies that are to be granted full trust within the that is associated with this instance. The assemblies are identified by their strong names.

  Gets the list of full-trust assemblies for this application trust.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A trust manager sets the property to true when an application has been approved to execute.

  Gets or sets a value indicating whether the application has the required permission grants and is trusted to run.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  When the property is true, application trust information is saved to the ClickOnce application store.

  Gets or sets a value indicating whether application trust information is persisted.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  The and methods are implemented to make objects XML-encodable for security policy use.

  Creates an XML encoding of the object and its current state.

  An XML encoding of the security object, including any state information.